# UI Language

#### Lend

You can lend `Underlying` assets by placing a `Fixed Yield` order.

#### Order

In the Front End context, an Order is any valid `Market Order` or `Limit Order` placed on a given `Market` to lend, buy or sell `Underlying` or `Token` assets.

#### Orderbook

The table of valid, open `Orders` for a given `Market`

#### Fill

Fill orders are `Orderbook` Orders that fulfill your `Market Order` or `Limit Order` partially or in full.

#### Fixed Yield

A Fixed Yield order uses the Swivel protocol to give the user an immediate yield for lending `Underlying` assets. When a Fixed Yield order is filled, Swivel mints an equal amount of `nToken` and `zcToken` on the `Underlying`, leaving the `zcToken` in your balance and immediately selling the `nTokens` on the `Orderbook`, and returning the `Underlying` to your `Balance`.

#### Amplified Yield (deprecated: 'Floating')

An Amplified Yield order purchases `nTokens` from the marketplace and adds them to your `Balance`, where they will continue to earn a variable yield until the given `Market` matures.

#### Sell

You can sell your `nTokens` or `zcTokens` back to the `Orderbook` at any time with a Sell order.

#### Market Order

Placing an `Order` as a `Taker`, transacting at the best available price on the `Orderbook`.

#### Limit Order

Placing an `Order` as a `Maker`, transacting at a determined price for the given order type and `Market`. `Valid` unfilled `Limit Orders` appear in your Open Limit Orders view. Depending on `Order` size and `Orderbook` volume, Limit Orders may be filled partially over an undetermined amount of time.

#### Position

The current state of your balance of `Underlying` and `Token` assets, for all active `Markets` you participate in.

#### Principal

* Buy Amplified Yield -> Principal is amount of yield exposure (nToken) purchased.
* Buy Fixed Yield -> Principal is amount of Underlying lent.
* Sell nToken -> Principal is amount of nToken sold.
* Sell zcToken -> Principal is amount of zcToken sold.

#### Premium

* Buy Amplified Yield -> Premium is amount of underlying spent on yield exposure (nToken).
* Buy Fixed Yield -> Premium is amount of generated yield, expressed in underlying asset.
* Sell nToken -> Premium is the amount of generated yield, expressed in underlying asset.
* Sell zcToken -> Premium is price per underlying received when full.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swivel.finance/swivel-v3.0.0/developers/ubiquitous-language-v3/ui-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
